GNU bug report logs - #28404
The complete Google Noto Fonts

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: ng0 <ng0@HIDDEN>; Keywords: patch; dated Sun, 10 Sep 2017 09:08:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Added tag(s) patch. Request was from Christopher Baines <mail@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 28404 <at> debbugs.gnu.org:


Received: (at 28404) by debbugs.gnu.org; 25 Sep 2017 12:26:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 25 08:26:30 2017
Received: from localhost ([127.0.0.1]:57427 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dwST0-00022g-4c
	for submit <at> debbugs.gnu.org; Mon, 25 Sep 2017 08:26:30 -0400
Received: from aibo.runbox.com ([91.220.196.211]:46072)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ng0@HIDDEN>) id 1dwSSy-00022X-Mz
 for 28404 <at> debbugs.gnu.org; Mon, 25 Sep 2017 08:26:29 -0400
Received: from [10.9.9.210] (helo=mailfront10.runbox.com)
 by mailtransmit02.runbox with esmtp (Exim 4.86_2)
 (envelope-from <ng0@HIDDEN>)
 id 1dwSSv-0004rG-10; Mon, 25 Sep 2017 14:26:25 +0200
Received: from 62-210-37-82.rev.poneytelecom.eu ([62.210.37.82] helo=localhost)
 by mailfront10.runbox.com with esmtpsa (uid:892961 )
 (TLS1.2:RSA_AES_256_CBC_SHA1:256) (Exim 4.82)
 id 1dwSSS-0006bw-KS; Mon, 25 Sep 2017 14:25:56 +0200
Date: Mon, 25 Sep 2017 12:25:54 +0000
From: ng0 <ng0@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [bug#28404] The complete Google Noto Fonts
Message-ID: <20170925122554.hdonznpj4z6ylpx6@abyayala>
References: <20170910090628.mltsqkaepyh3xncd@abyayala> <87shftbpx1.fsf@HIDDEN>
 <20170911105704.dfd7kcijb2ncjbdu@abyayala>
 <20170911122141.ussczl6u3g2jq5xo@abyayala> <87mv60yta7.fsf@HIDDEN>
 <20170912145156.hqsoffr477hyd7dx@abyayala> <87lglkx7pc.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="t5u2rtprlcbywtoc"
Content-Disposition: inline
In-Reply-To: <87lglkx7pc.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 28404
Cc: 28404 <at> debbugs.gnu.org, ng0 <ng0@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


--t5u2rtprlcbywtoc
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Ludovic Court=C3=A8s transcribed 0.3K bytes:
> ng0 <ng0@HIDDEN> skribis:
>=20
> > I propose:
> >
> > 1. package nototools.

Proposed for QA in bug#28594

> > 2. noto-emoji -> use tagged tarball
> >    2.1 split emoji into the provided fonts of upstream
> >        which are emoji and color emoji, separate
> >        packages.
> > 3. noto-cjk: likewise
> > 4. noto: likewise
>=20
> Sounds like a plan!
>=20
> Thanks,
> Ludo'.
>=20

--=20
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://krosos.org/dist/keys/
https://www.infotropique.org https://krosos.org

--t5u2rtprlcbywtoc
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEqIyK3RKYKNfqwC5S4i+bv+40hYgFAlnI9dIACgkQ4i+bv+40
hYgLUhAAijdsgNyLxjt2a9ul9/P09UifptKthEPsUY1bI0TphRxSwn7FGmg8BGvj
ArEhK2ZfLwmfxW21A4aWskAxLaB+Uh5h7OkOXl9q4Y0CHphDD08GJ+xeDh9WKn+i
uiDnrVtNdsHPGXQrSSLcqIW2g+dEFsKgCqiEmTjFn38oLDPDjay+qf6hSyps24C4
NZ/Dno6rT4MYGPc/Qs+9JcqTu4haB6IAS9XkruafN5FROh72sjIHNPntg+Yq0b8z
gVL2tk4U7B24asA+raNiiy8EQ7nTDJtrUv0bM+uCuVsAje0aAgpj4BHwp/Z34cvn
Sw3Bb3PuehgpGiF/tz7j6a2qqG3IcZvkNEm5SDQnm2dqqKD2LtNEmrPqdG2u8e+B
YOisZnEGbXB+wf1MjBOe6htrhiI26w5Psw9Wgy217C2kOoii2faqzxZ8T0+cC6ZL
bbIiqVqBSadJQOttqJojlom0YUwzafjq730obT7r3dibUrQBB7228NhYLaJ00EtD
4jErzEeZwUd0x/8BcNQWyWkcKXed7FUglotg+NtCFpmKt3imK/Yc+Xd7WYoeaTPy
symKb3G73ATk8qzpmr5av4D40HrjFZwXiGuhynDiKxAUw4vUWqyvvRtCI8svoB8F
wtuaEAUdA2Vd6PSDlVZF7ICSnJa3zhl0Oa2DJ/gjUwYb85tkd5k=
=dzOL
-----END PGP SIGNATURE-----

--t5u2rtprlcbywtoc--




Information forwarded to guix-patches@HIDDEN:
bug#28404; Package guix-patches. Full text available.

Message received at 28404 <at> debbugs.gnu.org:


Received: (at 28404) by debbugs.gnu.org; 12 Sep 2017 15:22:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 12 11:22:54 2017
Received: from localhost ([127.0.0.1]:36018 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1drn1a-0003Hg-5d
	for submit <at> debbugs.gnu.org; Tue, 12 Sep 2017 11:22:54 -0400
Received: from eggs.gnu.org ([208.118.235.92]:49601)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1drn1Y-0003HT-Kj
 for 28404 <at> debbugs.gnu.org; Tue, 12 Sep 2017 11:22:52 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1drn1N-0007Cb-Eg
 for 28404 <at> debbugs.gnu.org; Tue, 12 Sep 2017 11:22:47 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:37054)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1drn1N-0007CU-BQ; Tue, 12 Sep 2017 11:22:41 -0400
Received: from [193.50.110.232] (port=41982 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1drn1M-0000ZY-SH; Tue, 12 Sep 2017 11:22:41 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: ng0 <ng0@HIDDEN>
Subject: Re: [bug#28404] The complete Google Noto Fonts
References: <20170910090628.mltsqkaepyh3xncd@abyayala>
 <87shftbpx1.fsf@HIDDEN> <20170911105704.dfd7kcijb2ncjbdu@abyayala>
 <20170911122141.ussczl6u3g2jq5xo@abyayala> <87mv60yta7.fsf@HIDDEN>
 <20170912145156.hqsoffr477hyd7dx@abyayala>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 26 Fructidor an 225 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-unknown-linux-gnu
Date: Tue, 12 Sep 2017 17:22:39 +0200
In-Reply-To: <20170912145156.hqsoffr477hyd7dx@abyayala>
 (ng0@HIDDEN's message of "Tue, 12 Sep 2017 14:51:56 +0000")
Message-ID: <87lglkx7pc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28404
Cc: 28404 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

ng0 <ng0@HIDDEN> skribis:

> I propose:
>
> 1. package nototools.
> 2. noto-emoji -> use tagged tarball
>    2.1 split emoji into the provided fonts of upstream
>        which are emoji and color emoji, separate
>        packages.
> 3. noto-cjk: likewise
> 4. noto: likewise

Sounds like a plan!

Thanks,
Ludo'.




Information forwarded to guix-patches@HIDDEN:
bug#28404; Package guix-patches. Full text available.

Message received at 28404 <at> debbugs.gnu.org:


Received: (at 28404) by debbugs.gnu.org; 12 Sep 2017 14:52:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 12 10:52:14 2017
Received: from localhost ([127.0.0.1]:35981 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1drmXs-0002Xg-Pj
	for submit <at> debbugs.gnu.org; Tue, 12 Sep 2017 10:52:14 -0400
Received: from aibo.runbox.com ([91.220.196.211]:50052)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ng0@HIDDEN>) id 1drmXq-0002XR-IT
 for 28404 <at> debbugs.gnu.org; Tue, 12 Sep 2017 10:52:11 -0400
Received: from [10.9.9.212] (helo=mailfront12.runbox.com)
 by mailtransmit02.runbox with esmtp (Exim 4.86_2)
 (envelope-from <ng0@HIDDEN>) id 1drmXn-00061h-OD
 for 28404 <at> debbugs.gnu.org; Tue, 12 Sep 2017 16:52:08 +0200
Received: from orion.enn.lu ([94.242.246.24] helo=localhost)
 by mailfront12.runbox.com with esmtpsa (uid:892961 )
 (TLS1.2:RSA_AES_256_CBC_SHA1:256) (Exim 4.82)
 id 1drmXf-00084H-2I; Tue, 12 Sep 2017 16:51:59 +0200
Date: Tue, 12 Sep 2017 14:51:56 +0000
From: ng0 <ng0@HIDDEN>
To: 28404 <at> debbugs.gnu.org
Subject: Re: [bug#28404] The complete Google Noto Fonts
Message-ID: <20170912145156.hqsoffr477hyd7dx@abyayala>
References: <20170910090628.mltsqkaepyh3xncd@abyayala> <87shftbpx1.fsf@HIDDEN>
 <20170911105704.dfd7kcijb2ncjbdu@abyayala>
 <20170911122141.ussczl6u3g2jq5xo@abyayala> <87mv60yta7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="fy5pa42icd3wzlhc"
Content-Disposition: inline
In-Reply-To: <87mv60yta7.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 28404
Cc: ng0 <ng0@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


--fy5pa42icd3wzlhc
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Ludovic Court=C3=A8s transcribed 0.3K bytes:
> ng0 <ng0@HIDDEN> skribis:
>=20
> > Emoji: can be build with "make" given the condition that nototools
> > (https://github.com/googlei18n/nototools/) is available. This in turn
> > depends on (python):
>=20
> Cool, sounds reasonable.
>=20
> > Would the tagged tarball of CJK be considered too big for our CI?
>=20
> No, I think it=E2=80=99s OK.

Ok.

> Ludo=E2=80=99.
>=20

I propose:

1. package nototools.
2. noto-emoji -> use tagged tarball
   2.1 split emoji into the provided fonts of upstream
       which are emoji and color emoji, separate
       packages.
3. noto-cjk: likewise
4. noto: likewise

The original complain was "noto is too big", so we can not
solve this problem by providing outputs like
  noto: out, noto-kufi-arabic, noto-sans-avestan, =E2=80=A6
but they have to be provided as separate nar archives.
Annoying: people interested in cjk noto fonts (which are just
5 sub font families by archive file name counting) still have
to download 1.6GB if no binary substitute is available.
Noto (351 MB) is okay, and so is Emoji (33.5MB).

I'll get to it unless you have a better idea?
--=20
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://krosos.org/dist/keys/
https://www.infotropique.org https://www.krosos.org

--fy5pa42icd3wzlhc
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEqIyK3RKYKNfqwC5S4i+bv+40hYgFAlm39IwACgkQ4i+bv+40
hYgcbA//U6jCoubuDxHG8ki9Ou7CqK1OywndXKEdITCuxffp2JTDoNpBpRrYLFFO
2AJnEVV/Qieg0MrtLu7Y32dG6/zrWmFkp0efEDuxiL9baP6BAHLGalYnfnbeBRFO
etGeM22ZRynHkEKB02lPxFW4SX35xGVyWdsw7lK2mdFWCSgEScLfIqOn6c8QIKVc
uB3+YrSDoeySCy+U50mFU/YQWtziptVillhbWQBHCaYyY0qgubBqpRqndzRLMQQ0
xDWOVKxnPg3Kv6IKYC/IJZFp6yWQVCnrLqgN7wwEjnMK5/sihSdtNq6Lki6HPDTp
554Yc7ZyBajUfhrFGJdJ0W/0g5QOBB6PFpsmb6RBY/q67bvU+H6wsFCE20ujHdmW
xkAefUncf+GmwwcWf/eV0lblW5GJU73ChKtwZ9n1d8wG3SvIFS+Ti7H8D1tSj591
O1NS2wvw2GYB+SYtU613dloCPsx12dHKvZMeCvBgorEUbK46v6FD2p2gGAcpmzvc
etouGWsIqYlD3yShYRsmRxSdex2foCTkpVehO8fpRsdY6ratCRCzH5WZl586rCtW
hjBDu9m4qKUK0ECZiuo/FBp5tSQvDY871CmzHe+z7keVh9rzyJQgS9OxLUBMDWxG
kL02VVFTdmuGiTQtBnXmfXsG0a7Q6BCUFnw0cyee7GqWX41eV5k=
=IpKT
-----END PGP SIGNATURE-----

--fy5pa42icd3wzlhc--




Information forwarded to guix-patches@HIDDEN:
bug#28404; Package guix-patches. Full text available.

Message received at 28404 <at> debbugs.gnu.org:


Received: (at 28404) by debbugs.gnu.org; 12 Sep 2017 12:51:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 12 08:51:25 2017
Received: from localhost ([127.0.0.1]:34900 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1drkez-0007gj-6N
	for submit <at> debbugs.gnu.org; Tue, 12 Sep 2017 08:51:25 -0400
Received: from eggs.gnu.org ([208.118.235.92]:34583)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1drkey-0007gU-3i
 for 28404 <at> debbugs.gnu.org; Tue, 12 Sep 2017 08:51:24 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1drkeo-0001fo-LZ
 for 28404 <at> debbugs.gnu.org; Tue, 12 Sep 2017 08:51:18 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:60071)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1drkeo-0001fj-IN; Tue, 12 Sep 2017 08:51:14 -0400
Received: from [193.50.110.232] (port=39468 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1drkeo-0008F4-3P; Tue, 12 Sep 2017 08:51:14 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: ng0 <ng0@HIDDEN>
Subject: Re: [bug#28404] The complete Google Noto Fonts
References: <20170910090628.mltsqkaepyh3xncd@abyayala>
 <87shftbpx1.fsf@HIDDEN> <20170911105704.dfd7kcijb2ncjbdu@abyayala>
 <20170911122141.ussczl6u3g2jq5xo@abyayala>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 26 Fructidor an 225 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-unknown-linux-gnu
Date: Tue, 12 Sep 2017 14:51:12 +0200
In-Reply-To: <20170911122141.ussczl6u3g2jq5xo@abyayala>
 (ng0@HIDDEN's message of "Mon, 11 Sep 2017 12:21:41 +0000")
Message-ID: <87mv60yta7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28404
Cc: 28404 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

ng0 <ng0@HIDDEN> skribis:

> Emoji: can be build with "make" given the condition that nototools
> (https://github.com/googlei18n/nototools/) is available. This in turn
> depends on (python):

Cool, sounds reasonable.

> Would the tagged tarball of CJK be considered too big for our CI?

No, I think it=E2=80=99s OK.

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#28404; Package guix-patches. Full text available.

Message received at 28404 <at> debbugs.gnu.org:


Received: (at 28404) by debbugs.gnu.org; 11 Sep 2017 12:22:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 11 08:22:10 2017
Received: from localhost ([127.0.0.1]:60662 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1drNj6-0001e5-KY
	for submit <at> debbugs.gnu.org; Mon, 11 Sep 2017 08:22:09 -0400
Received: from aibo.runbox.com ([91.220.196.211]:45238)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ng0@HIDDEN>) id 1drNj5-0001dx-0r
 for 28404 <at> debbugs.gnu.org; Mon, 11 Sep 2017 08:22:07 -0400
Received: from [10.9.9.211] (helo=mailfront11.runbox.com)
 by mailtransmit03.runbox with esmtp (Exim 4.86_2)
 (envelope-from <ng0@HIDDEN>) id 1drNj2-0006dw-AD
 for 28404 <at> debbugs.gnu.org; Mon, 11 Sep 2017 14:22:04 +0200
Received: from tor-exit-readme.memcpy.io ([163.172.67.180] helo=localhost)
 by mailfront11.runbox.com with esmtpsa (uid:892961 )
 (TLS1.2:RSA_AES_256_CBC_SHA1:256) (Exim 4.82)
 id 1drNik-0002C8-5g; Mon, 11 Sep 2017 14:21:46 +0200
Date: Mon, 11 Sep 2017 12:21:41 +0000
From: ng0 <ng0@HIDDEN>
To: 28404 <at> debbugs.gnu.org
Subject: Re: [bug#28404] The complete Google Noto Fonts
Message-ID: <20170911122141.ussczl6u3g2jq5xo@abyayala>
References: <20170910090628.mltsqkaepyh3xncd@abyayala> <87shftbpx1.fsf@HIDDEN>
 <20170911105704.dfd7kcijb2ncjbdu@abyayala>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="2zwqbpn4zjqajk3z"
Content-Disposition: inline
In-Reply-To: <20170911105704.dfd7kcijb2ncjbdu@abyayala>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 28404
Cc: ng0 <ng0@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


--2zwqbpn4zjqajk3z
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

ng0 transcribed 4.2K bytes:
> Ludovic Court=C3=A8s transcribed 1.2K bytes:
> > Hi ng0,
> >=20
> > ng0 <ng0@HIDDEN> skribis:
> >=20
> > > These patches add all of Google Noto font.
> > >
> > > Be aware that you will need at least 600 MB for the source tarballs.
> > > There are only 5 real big tarballs, the rest is small.
> > >
> > > You will have 86 or 87 patches, so if you want to test it in another
> > > way try adding my guix developer repository at
> > > https://gitweb.krosos.org/ng0_guix/guix if I fixed it
> > > (otherwise git://git.krosos.org/srv/git/ng0/ng0_guix/guix works).
> >=20
> > Woow, impressive piece of work!
>=20
> Thanks.
>=20
> > > The only things which really are unique are:
> > > filenames + name + variable name + hash
> >=20
> > To me, that clearly suggests that we need a function to produce the
> > package, like:
> >=20
> >   (define (google-noto-font-package name hash)
> >     (package
> >       (name (string-append "font-google-" (camel-case->hyphens name)))
> >       =E2=80=A6))
> >=20
> > Could you look into that?
>=20
> I thought about this while I worked on it, but I was running out of
> free time. I'll see if I can resolve this. I'll get back to this thread
> with questions or results.
>=20
> > > As Google (and 99% of all fonts out there) update in place,
> > > I have a versioned inofficial mirror directory in case we
> > > should ever want to use it.
> >=20
> > That=E2=80=99s a bummer.  Are you sure there=E2=80=99s no versioned URL=
 somewhere?
>=20
> I'm absolutely sure that there is no official download link with versions.
> This problem is a basic condition in the font distribution, you have met
> a happy exception if you have some kind of version in the name of the
> distributed archive file and even more so when you have no file updating
> in place.
> If we find no other solution, my server is located in Germany, has enough
> diskspace (fonts aren't that big) and I have fair-use uncapped bandwidth
> (if I hit some kind of TBs/month limit, monthly fee will be adjusted.
> same network, different server: 40+ TB tor node was okay).
> I would not be happy with this, but I'd do it. Google should provide vers=
ions
> but try to get Google to do anything which is not giving up on projects
> in ramdon patterns=E2=80=A6 :/ People and projects already fail with Chro=
mium requests,
> no idea if I can convince them to version the fonts. It's not like they
> don't have the diskspace.
>=20
> > Alternatively, could we build from source with FontForge or something?
>=20
> Well they are build from source, and the source is on github.
> for cjk: https://github.com/googlei18n/noto-cjk
> not cjk: https://github.com/googlei18n/noto-fonts
> emoji: https://github.com/googlei18n/noto-emoji
> and they seem to use noto-tools for building, but I haven't looked
> into the build process at all.

I have to wait for another reply, so I started some notes on the lines abov=
e.

Emoji: can be build with "make" given the condition that nototools
(https://github.com/googlei18n/nototools/) is available. This in turn
depends on (python):

booleanOperations=3D=3D0.7.0  defcon=3D=3D0.3.1             fonttools=3D=3D=
3.9.1
Pillow=3D=3D4.0.0             pyclipper=3D=3D1.0.6          ufoLib=3D=3D2.0=
=2E0

emoji repo checked out with the whole history:          249 MB
emjo tagged tar:                                        33.5MB
cjk repo, latest tagged release (1st semester of 2017): 1.6 GB
cjk repo checked out with the whole history:            3.4 GB
rest of noto, repo:                                     1.0 GB
rest of noto, tagged tar:                               351 MB

The distributed fonts, pre-build:
root@sharknado9000:/var/www/krosos/mirror/fonts/noto-font/20170403# ls -hs
total 600M
8.0K Noto.20170403.sha256.txt                    260K NotoSansKannada-hinte=
d.zip
4.5M NotoColorEmoji-unhinted.zip                 8.0K NotoSansKayahLi-unhin=
ted.zip
288K NotoEmoji-unhinted.zip                       16K NotoSansKharoshthi-un=
hinted.zip
84K NotoKufiArabic-hinted.zip                    96K NotoSansKhmer-hinted.z=
ip
72K NotoMono-hinted.zip                          76K NotoSansLao-hinted.zip
464K NotoNaskhArabic-hinted.zip                   40K NotoSansLepcha-unhint=
ed.zip
164K NotoNastaliqUrdu-unhinted.zip                12K NotoSansLimbu-unhinte=
d.zip
32K NotoSansArmenian-hinted.zip                  40K NotoSansLinearB-unhint=
ed.zip
12K NotoSansAvestan-unhinted.zip                8.0K NotoSansLisu-unhinted.=
zip
20K NotoSansBalinese-unhinted.zip               8.0K NotoSansLycian-unhinte=
d.zip
96K NotoSansBamum-unhinted.zip                  200K NotoSansMalayalam-hint=
ed.zip
12K NotoSansBatak-unhinted.zip                   16K NotoSansMeeteiMayek-un=
hinted.zip
400K NotoSansBengali-hinted.zip                  340K NotoSansMyanmar-hinte=
d.zip
16K NotoSansBrahmi-unhinted.zip                  12K NotoSansNKo-unhinted.z=
ip
8.0K NotoSansBuginese-unhinted.zip               8.0K NotoSansOgham-unhinte=
d.zip
8.0K NotoSansBuhid-unhinted.zip                  8.0K NotoSansOlChiki-unhin=
ted.zip
28K NotoSansCanadianAboriginal-unhinted.zip     8.0K NotoSansOldItalic-unhi=
nted.zip
8.0K NotoSansCarian-unhinted.zip                 8.0K NotoSansOldTurkic-unh=
inted.zip
32K NotoSansCham-hinted.zip                     328K NotoSansOriya-hinted.z=
ip
48K NotoSansCherokee-hinted.zip                 8.0K NotoSansOsmanya-unhint=
ed.zip
116M NotoSansCJKjp-hinted.zip                    8.0K NotoSansRejang-unhint=
ed.zip
116M NotoSansCJKkr-hinted.zip                    8.0K NotoSansRunic-unhinte=
d.zip
116M NotoSansCJKsc-hinted.zip                     12K NotoSansSamaritan-unh=
inted.zip
116M NotoSansCJKtc-hinted.zip                    8.0K NotoSansShavian-unhin=
ted.zip
20K NotoSansCoptic-unhinted.zip                  12K NotoSansSundanese-unhi=
nted.zip
276K NotoSansCuneiform-unhinted.zip               16K NotoSansSylotiNagri-u=
nhinted.zip
8.0K NotoSansCypriot-unhinted.zip                404K NotoSansSymbols-unhin=
ted.zip
12K NotoSansDeseret-unhinted.zip                 28K NotoSansSyriacEastern-=
unhinted.zip
356K NotoSansDevanagari-hinted.zip                28K NotoSansSyriacEstrang=
ela-unhinted.zip
296K NotoSansEgyptianHieroglyphs-unhinted.zip     28K NotoSansSyriacWestern=
-unhinted.zip
172K NotoSansEthiopic-hinted.zip                  32K NotoSansTaiTham-unhin=
ted.zip
44K NotoSansGeorgian-hinted.zip                  32K NotoSansThaana-hinted.=
zip
12K NotoSansGlagolitic-unhinted.zip             8.0K NotoSansUgaritic-unhin=
ted.zip
8.0K NotoSansGothic-unhinted.zip                 200K NotoSerifBengali-hint=
ed.zip
344K NotoSansGujarati-hinted.zip                 125M NotoSerifCJKtc-hinted=
=2Ezip
128K NotoSansGurmukhi-hinted.zip                 128K NotoSerifDevanagari-h=
inted.zip
8.0K NotoSansHanunoo-unhinted.zip                 44K NotoSerifGeorgian-hin=
ted.zip
28K NotoSansHebrew-hinted.zip                   100K NotoSerifGujarati-hint=
ed.zip
1.3M NotoSans-hinted.zip                         840K NotoSerif-hinted.zip
8.0K NotoSansImperialAramaic-unhinted.zip         40K NotoSerifLao-hinted.z=
ip
8.0K NotoSansInscriptionalPahlavi-unhinted.zip    64K NotoSerifTamil-hinted=
=2Ezip
8.0K NotoSansInscriptionalParthian-unhinted.zip  180K NotoSerifTelugu-hinte=
d.zip
24K NotoSansJavanese-unhinted.zip                36K NotoSerifThai-hinted.z=
ip
32K NotoSansKaithi-unhinted.zip



> We want to avoid download large source repository checkouts
> or large tarballs, this was one of the problems this project
> was set out to solve.

Would the tagged tarball of CJK be considered too big for our CI?
Before we can break it up in small pieces we need to deal with what
Google provides, which is awful in size.

> If someone could look into the build process and describe it here
> and how big the repositories are, this would save a good amount
> of time for me (can't look into it that much this week I think).
>=20
> > An example of that is =E2=80=98font-linuxlibertine=E2=80=99.
> >=20
> > Thanks,
> > Ludo=E2=80=99.
> >=20
>=20
> --=20
> ng0
> GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
> GnuPG: https://krosos.org/dist/keys/
> https://www.infotropique.org https://www.krosos.org



--=20
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://krosos.org/dist/keys/
https://www.infotropique.org https://www.krosos.org

--2zwqbpn4zjqajk3z
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEqIyK3RKYKNfqwC5S4i+bv+40hYgFAlm2f9UACgkQ4i+bv+40
hYjJAA//X8nbNKrGKLTidbxSbAf/hHZvncN0UTB1SM8+47ej05ZNOES+4dRxkZ5k
mCrVZYDhbLJtbnLOzVifua5L20MK2KsCFDzeXmK/V0f1p5nrr80ofto+bdxPhmMz
X6UhhQPmOnQ577Sss9bVgWnilX83yejJu/4tgHJXSVN4stNJpxVYHjM7kQW2qsxo
QU96sayemIb577IxikiIgxReN+UQ7cAWWMCOZ/OXq2h+OwazCZlKlj4dYVqdOk6q
D8oL9N7Pt1VZ5Pr5V6UD6F7AhUugDeoaZOc0iXsLA6p9BYyd0c+PU9SwGmMkI5ww
L/S96tchAkaPW3L+GwmcFLSjwf3dTiEGJgEbqEr3Eq0wS6tuEgXS04KXNl5x2Z3l
ssJBCNiPjcWlrIN6Mc6pWIBOE9zugn3VlCVzrVsmSRliZ0QPr5q+vrAhNzFPNClP
oGiq6qghKbPTmoNpgaxhkY4kg/baB3ICbONYtK7m/qdxkW8iqLCflqUfqlUH7FQn
+NOEPlI0AXL7FprosqEhxwBML9c/rh+PME3ySOCPBCLJvmqE0Y90TxoyWG4F75au
dGcghjbkA7BleiI73YZU2MuTkZbeywLy8Un9zZSTyHDY5be4G0jrkRjVehC1SLsd
3WmJbUJlWqegPLQgRa1+I4zW8EN3oW2KnYYqNoXAeA/5zsFIHUE=
=kWOD
-----END PGP SIGNATURE-----

--2zwqbpn4zjqajk3z--




Information forwarded to guix-patches@HIDDEN:
bug#28404; Package guix-patches. Full text available.

Message received at 28404 <at> debbugs.gnu.org:


Received: (at 28404) by debbugs.gnu.org; 11 Sep 2017 11:55:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 11 07:55:49 2017
Received: from localhost ([127.0.0.1]:60627 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1drNJd-00011l-4V
	for submit <at> debbugs.gnu.org; Mon, 11 Sep 2017 07:55:49 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41242)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1drNJb-00011Z-0I
 for 28404 <at> debbugs.gnu.org; Mon, 11 Sep 2017 07:55:47 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1drNJR-0000ud-OY
 for 28404 <at> debbugs.gnu.org; Mon, 11 Sep 2017 07:55:41 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:56038)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1drNJR-0000uR-Lb; Mon, 11 Sep 2017 07:55:37 -0400
Received: from [193.50.110.231] (port=48148 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1drNJR-0006lK-88; Mon, 11 Sep 2017 07:55:37 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: ng0 <ng0@HIDDEN>
Subject: Re: [bug#28404] The complete Google Noto Fonts
References: <20170910090628.mltsqkaepyh3xncd@abyayala>
 <87shftbpx1.fsf@HIDDEN> <20170911105704.dfd7kcijb2ncjbdu@abyayala>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 25 Fructidor an 225 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-unknown-linux-gnu
Date: Mon, 11 Sep 2017 13:55:35 +0200
In-Reply-To: <20170911105704.dfd7kcijb2ncjbdu@abyayala>
 (ng0@HIDDEN's message of "Mon, 11 Sep 2017 10:57:04 +0000")
Message-ID: <87fubta1qg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28404
Cc: 28404 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hello,

ng0 <ng0@HIDDEN> skribis:

> Well they are build from source, and the source is on github.
> for cjk: https://github.com/googlei18n/noto-cjk
> not cjk: https://github.com/googlei18n/noto-fonts
> emoji: https://github.com/googlei18n/noto-emoji
> and they seem to use noto-tools for building, but I haven't looked
> into the build process at all.
> We want to avoid download large source repository checkouts
> or large tarballs, this was one of the problems this project
> was set out to solve.

--8<---------------cut here---------------start------------->8---
ludo@ribbon /tmp$ git clone https://github.com/googlei18n/noto-cjk
Cloning into 'noto-cjk'...
remote: Counting objects: 609, done.=20=20=20=20=20=20=20=20
remote: Total 609 (delta 0), reused 0 (delta 0), pack-reused 609=20=20=20=
=20=20=20=20=20
Receiving objects: 100% (609/609), 1.53 GiB | 6.66 MiB/s, done.
Resolving deltas: 100% (486/486), done.
Checking out files: 100% (140/140), done.
ludo@ribbon /tmp$ du -ms noto-cjk/.git
1568	noto-cjk/.git
--8<---------------cut here---------------end--------------->8---

Quite a lot.  However, the snapshot is half that size:

--8<---------------cut here---------------start------------->8---
$ guix download https://github.com/googlei18n/noto-cjk/archive/v1.004.tar.gz

Starting download of /tmp/guix-file.l7hpQP
From https://github.com/googlei18n/noto-cjk/archive/v1.004.tar.gz...
following redirection to `https://codeload.github.com/googlei18n/noto-cjk/t=
ar.gz/v1.004'...
 v1.004                                                7.5MiB/s 01:44 | 785=
.4MiB transferred
/gnu/store/45j4prjlvc25dpbq4qgh437051cdczx8-v1.004.tar.gz
075p99prv3b5pvq60myhfjb7zyphl6fn0ckg8156m38ybisl4nl3
ludo@ribbon /tmp$ du -ms /gnu/store/45j4prjlvc25dpbq4qgh437051cdczx8-v1.004=
.tar.gz
786	/gnu/store/45j4prjlvc25dpbq4qgh437051cdczx8-v1.004.tar.gz
--8<---------------cut here---------------end--------------->8---

Maybe that=E2=80=99s OK, WDYT?  How does it compare to the precompiled arch=
ives?

> If someone could look into the build process and describe it here
> and how big the repositories are, this would save a good amount
> of time for me (can't look into it that much this week I think).

That =E2=80=9Csomeone=E2=80=9D does not exist.  If there were a whole bunch=
 of people
waiting to save your time, and mine, and everyone else=E2=80=99s, we=E2=80=
=99d know it
by now.  :-)

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#28404; Package guix-patches. Full text available.

Message received at 28404 <at> debbugs.gnu.org:


Received: (at 28404) by debbugs.gnu.org; 11 Sep 2017 10:57:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 11 06:57:38 2017
Received: from localhost ([127.0.0.1]:60573 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1drMPK-000681-9i
	for submit <at> debbugs.gnu.org; Mon, 11 Sep 2017 06:57:38 -0400
Received: from aibo.runbox.com ([91.220.196.211]:60966)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ng0@HIDDEN>) id 1drMPH-00067o-Pf
 for 28404 <at> debbugs.gnu.org; Mon, 11 Sep 2017 06:57:36 -0400
Received: from [10.9.9.211] (helo=mailfront11.runbox.com)
 by mailtransmit02.runbox with esmtp (Exim 4.86_2)
 (envelope-from <ng0@HIDDEN>)
 id 1drMPE-0000ju-At; Mon, 11 Sep 2017 12:57:32 +0200
Received: from exit1.ipredator.se ([197.231.221.211] helo=localhost)
 by mailfront11.runbox.com with esmtpsa (uid:892961 )
 (TLS1.2:RSA_AES_256_CBC_SHA1:256) (Exim 4.82)
 id 1drMOp-00060c-6r; Mon, 11 Sep 2017 12:57:07 +0200
Date: Mon, 11 Sep 2017 10:57:04 +0000
From: ng0 <ng0@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [bug#28404] The complete Google Noto Fonts
Message-ID: <20170911105704.dfd7kcijb2ncjbdu@abyayala>
References: <20170910090628.mltsqkaepyh3xncd@abyayala> <87shftbpx1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="cy5ahdo7t7qycup3"
Content-Disposition: inline
In-Reply-To: <87shftbpx1.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 28404
Cc: 28404 <at> debbugs.gnu.org, ng0 <ng0@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)


--cy5ahdo7t7qycup3
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Ludovic Court=C3=A8s transcribed 1.2K bytes:
> Hi ng0,
>=20
> ng0 <ng0@HIDDEN> skribis:
>=20
> > These patches add all of Google Noto font.
> >
> > Be aware that you will need at least 600 MB for the source tarballs.
> > There are only 5 real big tarballs, the rest is small.
> >
> > You will have 86 or 87 patches, so if you want to test it in another
> > way try adding my guix developer repository at
> > https://gitweb.krosos.org/ng0_guix/guix if I fixed it
> > (otherwise git://git.krosos.org/srv/git/ng0/ng0_guix/guix works).
>=20
> Woow, impressive piece of work!

Thanks.

> > The only things which really are unique are:
> > filenames + name + variable name + hash
>=20
> To me, that clearly suggests that we need a function to produce the
> package, like:
>=20
>   (define (google-noto-font-package name hash)
>     (package
>       (name (string-append "font-google-" (camel-case->hyphens name)))
>       =E2=80=A6))
>=20
> Could you look into that?

I thought about this while I worked on it, but I was running out of
free time. I'll see if I can resolve this. I'll get back to this thread
with questions or results.

> > As Google (and 99% of all fonts out there) update in place,
> > I have a versioned inofficial mirror directory in case we
> > should ever want to use it.
>=20
> That=E2=80=99s a bummer.  Are you sure there=E2=80=99s no versioned URL s=
omewhere?

I'm absolutely sure that there is no official download link with versions.
This problem is a basic condition in the font distribution, you have met
a happy exception if you have some kind of version in the name of the
distributed archive file and even more so when you have no file updating
in place.
If we find no other solution, my server is located in Germany, has enough
diskspace (fonts aren't that big) and I have fair-use uncapped bandwidth
(if I hit some kind of TBs/month limit, monthly fee will be adjusted.
same network, different server: 40+ TB tor node was okay).
I would not be happy with this, but I'd do it. Google should provide versio=
ns
but try to get Google to do anything which is not giving up on projects
in ramdon patterns=E2=80=A6 :/ People and projects already fail with Chromi=
um requests,
no idea if I can convince them to version the fonts. It's not like they
don't have the diskspace.

> Alternatively, could we build from source with FontForge or something?

Well they are build from source, and the source is on github.
for cjk: https://github.com/googlei18n/noto-cjk
not cjk: https://github.com/googlei18n/noto-fonts
emoji: https://github.com/googlei18n/noto-emoji
and they seem to use noto-tools for building, but I haven't looked
into the build process at all.
We want to avoid download large source repository checkouts
or large tarballs, this was one of the problems this project
was set out to solve.

If someone could look into the build process and describe it here
and how big the repositories are, this would save a good amount
of time for me (can't look into it that much this week I think).

> An example of that is =E2=80=98font-linuxlibertine=E2=80=99.
>=20
> Thanks,
> Ludo=E2=80=99.
>=20

--=20
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://krosos.org/dist/keys/
https://www.infotropique.org https://www.krosos.org

--cy5ahdo7t7qycup3
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEqIyK3RKYKNfqwC5S4i+bv+40hYgFAlm2bAAACgkQ4i+bv+40
hYidoQ/+IouRv+6J7Mmapq+/YV8ODELX4BB8o/9UFjPEEeMUReFTI23CZnD11UnA
TP7ZJLIjdldXDS1elGWe6tmjKFEcmopWdVuzuiU1ajRvf8XHkOXPnue4bLiBXNjM
wEn/E/RsVI1QqcoKm3eGwMqQrciF7//BhQUvbX2CoCbH/Aa4sR90pptT8OB/egwk
4JfV4Qd/qAOjCuOLKAXcNZy9BtQJocv325EDBhUSkLGR1WH3hJX/Zms7KgntvoG8
qVuQR1HKTM5vb5JZRU11jkc3ctzjJ2nnBVd7r2bachhldv/73CBIEgsfBTgmI6d0
qYgCQsZ9FFDyNSNuj995NVbffc0wRPp0+6bsJYQDn3D+uFvlKNgPDVU27OZzlEJp
kEYO3yFDA1e82pZEGjEP5KGHyAYPHJrzH3fMMRZAH3Vb2XrRAwc5i5DM58iIz+vm
R4oajg4PMc0oOEWjgeKWRwHPty3emAdIgQ40tPxu6aDQDSin547ukDEJZ7PIy1HA
HVapY+R+DRSuAx4m6plXK2GHALcwrY/nNLLG4CQ6shuBT/juh5pF+lL2HKnv24Pk
60N4ZMnbdXOaPC6/K97WmkDiIhePXz1ZRwaoSs8uwmWInAR3Ul48N5r61t3lrI+n
gMPUvzWaivSWsi8C959L+PG5c1VGSbrLngCw+cif7TbM5ZvcN2o=
=vbGV
-----END PGP SIGNATURE-----

--cy5ahdo7t7qycup3--




Information forwarded to guix-patches@HIDDEN:
bug#28404; Package guix-patches. Full text available.

Message received at 28404 <at> debbugs.gnu.org:


Received: (at 28404) by debbugs.gnu.org; 11 Sep 2017 08:28:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 11 04:28:08 2017
Received: from localhost ([127.0.0.1]:60448 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1drK4e-0002RL-AF
	for submit <at> debbugs.gnu.org; Mon, 11 Sep 2017 04:28:08 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38158)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1drK4c-0002Qs-Fn
 for 28404 <at> debbugs.gnu.org; Mon, 11 Sep 2017 04:28:06 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1drK4S-0003Z0-EX
 for 28404 <at> debbugs.gnu.org; Mon, 11 Sep 2017 04:28:01 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:52455)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1drK4S-0003Yu-AK; Mon, 11 Sep 2017 04:27:56 -0400
Received: from [193.50.110.231] (port=35954 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1drK4R-0002bm-Jy; Mon, 11 Sep 2017 04:27:56 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: ng0 <ng0@HIDDEN>
Subject: Re: [bug#28404] The complete Google Noto Fonts
References: <20170910090628.mltsqkaepyh3xncd@abyayala>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 25 Fructidor an 225 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-unknown-linux-gnu
Date: Mon, 11 Sep 2017 10:27:54 +0200
In-Reply-To: <20170910090628.mltsqkaepyh3xncd@abyayala>
 (ng0@HIDDEN's message of "Sun, 10 Sep 2017 09:06:28 +0000")
Message-ID: <87shftbpx1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28404
Cc: 28404 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hi ng0,

ng0 <ng0@HIDDEN> skribis:

> These patches add all of Google Noto font.
>
> Be aware that you will need at least 600 MB for the source tarballs.
> There are only 5 real big tarballs, the rest is small.
>
> You will have 86 or 87 patches, so if you want to test it in another
> way try adding my guix developer repository at
> https://gitweb.krosos.org/ng0_guix/guix if I fixed it
> (otherwise git://git.krosos.org/srv/git/ng0/ng0_guix/guix works).

Woow, impressive piece of work!

> The only things which really are unique are:
> filenames + name + variable name + hash

To me, that clearly suggests that we need a function to produce the
package, like:

  (define (google-noto-font-package name hash)
    (package
      (name (string-append "font-google-" (camel-case->hyphens name)))
      =E2=80=A6))

Could you look into that?

> As Google (and 99% of all fonts out there) update in place,
> I have a versioned inofficial mirror directory in case we
> should ever want to use it.

That=E2=80=99s a bummer.  Are you sure there=E2=80=99s no versioned URL som=
ewhere?

Alternatively, could we build from source with FontForge or something?
An example of that is =E2=80=98font-linuxlibertine=E2=80=99.

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#28404; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Sep 2017 09:07:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 10 05:07:34 2017
Received: from localhost ([127.0.0.1]:58350 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dqyDG-0007rB-5Z
	for submit <at> debbugs.gnu.org; Sun, 10 Sep 2017 05:07:34 -0400
Received: from eggs.gnu.org ([208.118.235.92]:53416)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ng0@HIDDEN>) id 1dqyDD-0007qw-Jk
 for submit <at> debbugs.gnu.org; Sun, 10 Sep 2017 05:07:32 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ng0@HIDDEN>) id 1dqyCv-0002Dj-Cn
 for submit <at> debbugs.gnu.org; Sun, 10 Sep 2017 05:07:26 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:39403)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <ng0@HIDDEN>)
 id 1dqyCu-0002Cz-SY
 for submit <at> debbugs.gnu.org; Sun, 10 Sep 2017 05:07:13 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:44308)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ng0@HIDDEN>) id 1dqyCh-0002WW-Ui
 for guix-patches@HIDDEN; Sun, 10 Sep 2017 05:07:12 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ng0@HIDDEN>) id 1dqyCU-0001vr-Sv
 for guix-patches@HIDDEN; Sun, 10 Sep 2017 05:06:59 -0400
Received: from aibo.runbox.com ([91.220.196.211]:50850)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <ng0@HIDDEN>)
 id 1dqyCS-0001u7-8k
 for guix-patches@HIDDEN; Sun, 10 Sep 2017 05:06:46 -0400
Received: from [10.9.9.211] (helo=mailfront11.runbox.com)
 by mailtransmit02.runbox with esmtp (Exim 4.86_2)
 (envelope-from <ng0@HIDDEN>) id 1dqyCO-00027H-PM
 for guix-patches@HIDDEN; Sun, 10 Sep 2017 11:06:40 +0200
Received: from [156.67.106.30] (helo=localhost)
 by mailfront11.runbox.com with esmtpsa (uid:892961 )
 (TLS1.2:RSA_AES_256_CBC_SHA1:256) (Exim 4.82) id 1dqyCG-0002D2-3H
 for guix-patches@HIDDEN; Sun, 10 Sep 2017 11:06:37 +0200
Date: Sun, 10 Sep 2017 09:06:28 +0000
From: ng0 <ng0@HIDDEN>
To: guix-patches@HIDDEN
Subject: The complete Google Noto Fonts
Message-ID: <20170910090628.mltsqkaepyh3xncd@abyayala>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="73godmxftbocdkl2"
Content-Disposition: inline
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>


--73godmxftbocdkl2
Content-Type: multipart/mixed; boundary="z5bt75vmliven2s4"
Content-Disposition: inline


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

These patches add all of Google Noto font.

Be aware that you will need at least 600 MB for the source tarballs.
There are only 5 real big tarballs, the rest is small.

You will have 86 or 87 patches, so if you want to test it in another
way try adding my guix developer repository at
https://gitweb.krosos.org/ng0_guix/guix if I fixed it
(otherwise git://git.krosos.org/srv/git/ng0/ng0_guix/guix works).

The only things which really are unique are:
filenames + name + variable name + hash

As Google (and 99% of all fonts out there) update in place,
I have a versioned inofficial mirror directory in case we
should ever want to use it.
--=20
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://krosos.org/dist/keys/
https://www.infotropique.org https://www.krosos.org

--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0001-gnu-Add-font-google-noto-sans.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 0c3e8a2dd3cf44a83215440dc5457f507b67bd66 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Tue, 8 Aug 2017 11:38:25 +0000
Subject: [PATCH 01/86] gnu: Add font-google-noto-sans.

* gnu/packages/fonts.scm (font-google-noto-sans): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 97d399a4c..12a50f3a2 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -636,6 +636,27 @@ all languages with a consistent look and aesthetic.  I=
ts goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans
+  (package
+    (name "font-google-noto-sans")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSans-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "0z010hgjhr0mvalz6xchb2h1xa9f1pvcvrb31bdgk9pa3zg9mcs3"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0002-gnu-Add-font-google-noto-serif.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 821d73673b2630b23f038a98d11ee2b5cc6064ea Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Tue, 8 Aug 2017 11:47:37 +0000
Subject: [PATCH 02/86] gnu: Add font-google-noto-serif.

* gnu/packages/fonts.scm (font-google-noto-serif): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 12a50f3a2..c76640652 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -657,6 +657,27 @@ all languages with a consistent look and aesthetic.  I=
ts goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-serif
+  (package
+    (name "font-google-noto-serif")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSerif-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "0qbx4gqs9rlyb2g5rpqrlindkalyf10z2q4vm4qnn74lmm1iiivy"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0003-gnu-Add-font-google-noto-mono.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 28e4f70a19b238d3c3d5707a80ce5c004db2b3e0 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Tue, 8 Aug 2017 11:51:23 +0000
Subject: [PATCH 03/86] gnu: Add font-google-noto-mono.

* gnu/packages/fonts.scm (font-google-noto-mono): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index c76640652..5f9dc78e9 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -678,6 +678,27 @@ all languages with a consistent look and aesthetic.  I=
ts goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-mono
+  (package
+    (name "font-google-noto-mono")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoMono-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "19dlygl0mbvvgd3c5ybhx075i9rymwnhgg3j4axgk71sc943yyls"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0004-gnu-Add-font-google-noto-coloremoji.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 1ca36b67ddf611efb2c2c27cc05eab520421a423 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Fri, 8 Sep 2017 11:32:40 +0000
Subject: [PATCH 04/86] gnu: Add font-google-noto-coloremoji.

* gnu/packages/fonts.scm (font-google-noto-coloremoji): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 5f9dc78e9..9fe7d6c79 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -699,6 +699,27 @@ all languages with a consistent look and aesthetic.  I=
ts goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-coloremoji
+  (package
+    (name "font-google-noto-coloremoji")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoColorEmoji-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1abmvv56a9px6kq97d3j99wr2sqaz9b40m2mvlnkkz2b7yvwcix9"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0005-gnu-Add-font-google-noto-emoji.patch"
Content-Transfer-Encoding: quoted-printable

=46rom d185b9d17b66688852fc71f881ce08f2de25f193 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Fri, 8 Sep 2017 11:37:16 +0000
Subject: [PATCH 05/86] gnu: Add font-google-noto-emoji.

* gnu/packages/fonts.scm (font-google-noto-emoji): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 9fe7d6c79..a9cc60ce7 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -720,6 +720,27 @@ all languages with a consistent look and aesthetic.  I=
ts goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-emoji
+  (package
+    (name "font-google-noto-emoji")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoEmoji-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "0718l0vyiqwapbgg3qk6w10ln2ybimbl9v593p9p56d0ypxiiqhg"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0006-gnu-Add-font-google-noto-kufi-arabic.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 9ddd5835904b48e112f144cc4b6b6e14282eec02 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Fri, 8 Sep 2017 11:41:44 +0000
Subject: [PATCH 06/86] gnu: Add font-google-noto-kufi-arabic.

* gnu/packages/fonts.scm (font-google-noto-kufi-arabic): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index a9cc60ce7..b2c504b77 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -741,6 +741,27 @@ all languages with a consistent look and aesthetic.  I=
ts goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-kufi-arabic
+  (package
+    (name "font-google-noto-kufi-arabic")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoKufiArabic-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "0prpjm0cbbavy9xj5r04nshyhykm502gwqm7k5vrsvkxbdxj2l07"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0007-gnu-Add-font-google-noto-naskh-arabic.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 423b404967f299911275c414cdecc274101a9951 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Fri, 8 Sep 2017 11:45:45 +0000
Subject: [PATCH 07/86] gnu: Add font-google-noto-naskh-arabic.

* gnu/packages/fonts.scm (font-google-noto-naskh-arabic): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index b2c504b77..2f56fb374 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -762,6 +762,27 @@ all languages with a consistent look and aesthetic.  I=
ts goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-naskh-arabic
+  (package
+    (name "font-google-noto-naskh-arabic")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoNaskhArabic-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1iv6bcp1v9yhwmxvbc3f349lv4c93mwvkrmlz1ac9s5x1xig26py"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0008-gnu-Add-font-google-noto-nastaliq-urdu.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 14cbfaba0dd02ad973c4c923fba5e08d142525cc Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Fri, 8 Sep 2017 11:51:17 +0000
Subject: [PATCH 08/86] gnu: Add font-google-noto-nastaliq-urdu.

* gnu/packages/fonts.scm (font-google-noto-nastaliq-urdu): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 2f56fb374..733fe6fd5 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -783,6 +783,27 @@ all languages with a consistent look and aesthetic.  I=
ts goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-nastaliq-urdu
+  (package
+    (name "font-google-noto-nastaliq-urdu")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoNastaliqUrdu-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1whldcbj3hj2hjcr19s9694gxmqphiwjgkqxic2i9hzrklmah2m9"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0009-gnu-Add-font-google-noto-sans-armenian.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 7a0f30cb62bfb6d11aa409192cccc56ec2781e96 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Fri, 8 Sep 2017 11:54:31 +0000
Subject: [PATCH 09/86] gnu: Add font-google-noto-sans-armenian.

* gnu/packages/fonts.scm (font-google-noto-sans-armenian): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 733fe6fd5..cfa2b7e10 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -804,6 +804,27 @@ all languages with a consistent look and aesthetic.  I=
ts goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-armenian
+  (package
+    (name "font-google-noto-sans-armenian")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansArmenian-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "0jsbjgy2g025j5srjc6wq8n0a56p5p87la7lpqxbnis9lwslbfrv"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0010-gnu-Add-font-google-noto-sans-avestan.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 638236e80373a546c52e8555d6108a015c0d85cb Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Fri, 8 Sep 2017 11:56:38 +0000
Subject: [PATCH 10/86] gnu: Add font-google-noto-sans-avestan.

* gnu/packages/fonts.scm (font-google-noto-sans-avestan): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index cfa2b7e10..c2184127b 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -825,6 +825,27 @@ all languages with a consistent look and aesthetic.  I=
ts goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-avestan
+  (package
+    (name "font-google-noto-sans-avestan")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansAvestan-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "06xfmlrjzp9h75gsyss0m4y2nh9kk6sn1a3j2d0a406drynji8an"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0011-gnu-Add-font-google-noto-sans-balinese.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 8c54930a5186acab589fef6862fbd774c45538fa Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 18:55:05 +0000
Subject: [PATCH 11/86] gnu: Add font-google-noto-sans-balinese.

* gnu/packages/fonts.scm (font-google-noto-sans-balinese): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index c2184127b..1d270667c 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -846,6 +846,27 @@ all languages with a consistent look and aesthetic.  I=
ts goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-balinese
+  (package
+    (name "font-google-noto-sans-balinese")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansBalinese-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "0iq2vyr5bbx6d8lcax6i700mpxwbiyllxpp8ivgyzvzmxhcbk42c"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0012-gnu-Add-font-google-noto-sans-bamum.patch"
Content-Transfer-Encoding: quoted-printable

=46rom f5c2f4a590716d5eef5bd107577ad8069c13ab77 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 18:59:41 +0000
Subject: [PATCH 12/86] gnu: Add font-google-noto-sans-bamum.

* gnu/packages/fonts.scm (font-google-noto-sans-bamum): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 1d270667c..5f05f9df3 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -867,6 +867,27 @@ all languages with a consistent look and aesthetic.  I=
ts goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-bamum
+  (package
+    (name "font-google-noto-sans-bamum")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansBamum-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "06wqhysyrarc18sjsb3vp8bnkjp6dswv46592ffj23axnllak49i"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0013-gnu-Add-font-google-noto-sans-batak.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 106957d9b2d213e435271d36265d825ea01157d1 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 19:03:44 +0000
Subject: [PATCH 13/86] gnu: Add font-google-noto-sans-batak.

* gnu/packages/fonts.scm (font-google-noto-sans-batak): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 5f05f9df3..0b21c28f0 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -888,6 +888,27 @@ all languages with a consistent look and aesthetic.  I=
ts goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-batak
+  (package
+    (name "font-google-noto-sans-batak")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansBatak-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1jaj60fh7c9qg3d986vv7093dmdcfix14is5jk0k4w5nr27hsw42"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0014-gnu-Add-font-google-noto-sans-bengali.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 9d6faaeb5ffdcd0786a1140eed03062cbfd6ac47 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 19:06:15 +0000
Subject: [PATCH 14/86] gnu: Add font-google-noto-sans-bengali.

* gnu/packages/fonts.scm (font-google-noto-sans-bengali): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 0b21c28f0..23048aec4 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -909,6 +909,27 @@ all languages with a consistent look and aesthetic.  I=
ts goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-bengali
+  (package
+    (name "font-google-noto-sans-bengali")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansBengali-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "07qf7amsfnpp380bqkgaslppzmbx8mafw72f6zaj904gy18bkb1j"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0015-gnu-Add-font-google-noto-sans-brahmi.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 2ba098415285f6ae5449cf050e5ab9c4266262d9 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 19:09:09 +0000
Subject: [PATCH 15/86] gnu: Add font-google-noto-sans-brahmi.

* gnu/packages/fonts.scm (font-google-noto-sans-brahmi): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 23048aec4..fd23b70f3 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -930,6 +930,27 @@ all languages with a consistent look and aesthetic.  I=
ts goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-brahmi
+  (package
+    (name "font-google-noto-sans-brahmi")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansBrahmi-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "0z6lyacqr9a8sv58757pnvn23k14ha2mf3rrsyrj682id0v3mikc"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0016-gnu-Add-font-google-noto-sans-buginese.patch"
Content-Transfer-Encoding: quoted-printable

=46rom b565f3d2a57888e409ff4c5f901e8929301c4c20 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 19:11:08 +0000
Subject: [PATCH 16/86] gnu: Add font-google-noto-sans-buginese.

* gnu/packages/fonts.scm (font-google-noto-sans-buginese): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index fd23b70f3..834000379 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -951,6 +951,27 @@ all languages with a consistent look and aesthetic.  I=
ts goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-buginese
+  (package
+    (name "font-google-noto-sans-buginese")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansBuginese-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1h0v9pqgyjb8idb9ms2wfaclcgcsscbxd0clspxkk00n5bpf4h30"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0017-gnu-Add-font-google-noto-sans-buhid.patch"
Content-Transfer-Encoding: quoted-printable

=46rom c2b7021d77a779c05359551664a93a9ab176ce08 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 19:13:03 +0000
Subject: [PATCH 17/86] gnu: Add font-google-noto-sans-buhid.

* gnu/packages/fonts.scm (font-google-noto-sans-buhid): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 834000379..15b60c1ae 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -972,6 +972,27 @@ all languages with a consistent look and aesthetic.  I=
ts goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-buhid
+  (package
+    (name "font-google-noto-sans-buhid")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansBuhid-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1wk9na94xjca4mam2ysjrbhkmx83p9kbjbvy273w5pnil75y4l75"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0018-gnu-Add-font-google-noto-sans-canadian-aboriginal.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 3c1802cd38b60a2c23c12f59a2204e6cb10c6e78 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 19:17:05 +0000
Subject: [PATCH 18/86] gnu: Add font-google-noto-sans-canadian-aboriginal.

* gnu/packages/fonts.scm (font-google-noto-sans-canadian-aboriginal): New v=
ariable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 15b60c1ae..35fba3334 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -993,6 +993,27 @@ all languages with a consistent look and aesthetic.  I=
ts goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-canadian-aboriginal
+  (package
+    (name "font-google-noto-sans-canadian-aboriginal")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansCanadianAboriginal-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1g3y512456zf9mpx1bf1iqvln7jl66q6vs5da9f2gg8xh8aazzdm"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0019-gnu-Add-font-google-noto-sans-carian.patch"
Content-Transfer-Encoding: quoted-printable

=46rom bebac3dd854a61b719201a80781a1535399fa60d Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 19:19:01 +0000
Subject: [PATCH 19/86] gnu: Add font-google-noto-sans-carian.

* gnu/packages/fonts.scm (font-google-noto-sans-carian): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 35fba3334..999eeac37 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1014,6 +1014,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-carian
+  (package
+    (name "font-google-noto-sans-carian")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansCarian-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "0pq3m09acp2k8sg1jwhgawzm8f4da2p35g2ppazy84100kgk0bgi"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0020-gnu-Add-font-google-noto-sans-cham.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 38dac4c191244fb5b7ea1feaa3f59facc7e6b1b7 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 19:20:57 +0000
Subject: [PATCH 20/86] gnu: Add font-google-noto-sans-cham.

* gnu/packages/fonts.scm (font-google-noto-sans-cham): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 999eeac37..82243eef2 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1035,6 +1035,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-cham
+  (package
+    (name "font-google-noto-sans-cham")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansCham-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "17m7zgi8m1va15dq5h75sdg6nraz9sp9czczifsz1ib62f1lk3im"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0021-gnu-Add-font-google-noto-sans-cherokee.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 0e2f2463d792035211df3bace9629201b8f2c7c7 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 19:22:38 +0000
Subject: [PATCH 21/86] gnu: Add font-google-noto-sans-cherokee.

* gnu/packages/fonts.scm (font-google-noto-sans-cherokee): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 82243eef2..4a714a64e 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1056,6 +1056,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-cherokee
+  (package
+    (name "font-google-noto-sans-cherokee")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansCherokee-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "16xgqz0jc8hc2psip0sgwbi6i5nymk4752mfpshai5wdfszqg3pi"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0022-gnu-Add-font-google-noto-sans-cjk-jp.patch"
Content-Transfer-Encoding: quoted-printable

=46rom f665c09982ce5ebca399e3b497ed6b8ffb7f6b72 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 19:28:00 +0000
Subject: [PATCH 22/86] gnu: Add font-google-noto-sans-cjk-jp.

* gnu/packages/fonts.scm (font-google-noto-sans-cjk-jp): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 4a714a64e..afaa93475 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1077,6 +1077,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-cjk-jp
+  (package
+    (name "font-google-noto-sans-cjk-jp")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansCJKjp-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1ad42fk7d8r6ka7zikv2wsyrb2vfbynrqxdzj6nb3x6iiz98wwkk"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0023-gnu-Add-font-google-noto-sans-cjk-kr.patch"
Content-Transfer-Encoding: quoted-printable

=46rom e78166197d89e16d2ae5524638d1961cb2f85dcb Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 19:30:19 +0000
Subject: [PATCH 23/86] gnu: Add font-google-noto-sans-cjk-kr.

* gnu/packages/fonts.scm (font-google-noto-sans-cjk-kr): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index afaa93475..bc497c936 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1098,6 +1098,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-cjk-kr
+  (package
+    (name "font-google-noto-sans-cjk-kr")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansCJKkr-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1dar14hygg96shw59jkdxznhp2fzkali93nb0cdyc7lcsrgaa5la"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0024-gnu-Add-font-google-noto-sans-cjk-sc.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 6a13bb0c0a8500880af36e41502c74a9b14a3b53 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 19:33:59 +0000
Subject: [PATCH 24/86] gnu: Add font-google-noto-sans-cjk-sc.

* gnu/packages/fonts.scm (font-google-noto-sans-cjk-sc): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index bc497c936..0dd0c8e01 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1119,6 +1119,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-cjk-sc
+  (package
+    (name "font-google-noto-sans-cjk-sc")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansCJKsc-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1pxf63bi8s13fl8izkcr1gidash68mvr1r5xb6rj0fd2yy5i2qc5"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0025-gnu-Add-font-google-noto-sans-cjk-tc.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 829fba8c8d5d5fd04a1486ae86c9e1e4c612156d Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 19:35:40 +0000
Subject: [PATCH 25/86] gnu: Add font-google-noto-sans-cjk-tc.

* gnu/packages/fonts.scm (font-google-noto-sans-cjk-tc): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 0dd0c8e01..df2371249 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1140,6 +1140,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-cjk-tc
+  (package
+    (name "font-google-noto-sans-cjk-tc")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansCJKtc-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "17f9hvhlzzqb18csc4fj6rq4m42q9cipgvw1vwf38fahjp97p9ra"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0026-gnu-Add-font-google-noto-sans-coptic.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 2a95850b363ff81159b668b8d5d169efd8b3f967 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 19:37:48 +0000
Subject: [PATCH 26/86] gnu: Add font-google-noto-sans-coptic.

* gnu/packages/fonts.scm (font-google-noto-sans-coptic): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index df2371249..f27c544f5 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1161,6 +1161,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-coptic
+  (package
+    (name "font-google-noto-sans-coptic")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansCoptic-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "0fawq0q5v951m2f9fhxr3x35hj6fp1cmi9lnpsrid3kzd58mqdi1"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0027-gnu-Add-font-google-noto-sans-cuneiform.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 6c6fad5201e208c4bc72a7eab4f9c0f05a593945 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 19:39:35 +0000
Subject: [PATCH 27/86] gnu: Add font-google-noto-sans-cuneiform.

* gnu/packages/fonts.scm (font-google-noto-sans-cuneiform): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index f27c544f5..543d3b793 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1182,6 +1182,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-cuneiform
+  (package
+    (name "font-google-noto-sans-cuneiform")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansCuneiform-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1smj5rk8f4izv8zrjhcq9abv91agqpx29ysrl3da63r3fvsk11p8"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0028-gnu-Add-font-google-noto-sans-cypriot.patch"
Content-Transfer-Encoding: quoted-printable

=46rom b0049b9543cf930971ef1f2ff54280dadf116bb6 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 19:41:12 +0000
Subject: [PATCH 28/86] gnu: Add font-google-noto-sans-cypriot.

* gnu/packages/fonts.scm (font-google-noto-sans-cypriot): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 543d3b793..716722146 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1203,6 +1203,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-cypriot
+  (package
+    (name "font-google-noto-sans-cypriot")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansCypriot-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1bpm34yr2h0z2pxhc4m9ymmbkmhqc4pkfnjj2s9nrawfshvyjppm"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0029-gnu-Add-font-google-noto-sans-deseret.patch"
Content-Transfer-Encoding: quoted-printable

=46rom e02458da17fd893339a11e1d528d60ad8664cad1 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 19:43:01 +0000
Subject: [PATCH 29/86] gnu: Add font-google-noto-sans-deseret.

* gnu/packages/fonts.scm (font-google-noto-sans-deseret): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 716722146..5b9ed12e0 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1224,6 +1224,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-deseret
+  (package
+    (name "font-google-noto-sans-deseret")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansDeseret-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1k2zagrj2ld95qkspr5klmv7r5ryja7hh4biv7hm88s7p2vs4lwy"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0030-gnu-Add-font-google-noto-sans-devanagari.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 4ab10abcbf13a2d2248f0f6836ce74f0dd3457e0 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 19:45:15 +0000
Subject: [PATCH 30/86] gnu: Add font-google-noto-sans-devanagari.

* gnu/packages/fonts.scm (font-google-noto-sans-devanagari): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 5b9ed12e0..6ac6b7751 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1245,6 +1245,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-devanagari
+  (package
+    (name "font-google-noto-sans-devanagari")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansDevanagari-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1f65ah7p3sbjrf94yvbkxn2m506swxra4dhy3ik1pm5v9wy47alb"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0031-gnu-Add-font-google-noto-sans-egyptian-hieroglyphs.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 1da7a1d5c8fe2ce8a5ed088be8909c134618e1dd Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 19:47:15 +0000
Subject: [PATCH 31/86] gnu: Add font-google-noto-sans-egyptian-hieroglyphs.

* gnu/packages/fonts.scm (font-google-noto-sans-egyptian-hieroglyphs): New =
variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 6ac6b7751..b91bb8977 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1266,6 +1266,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-egyptian-hieroglyphs
+  (package
+    (name "font-google-noto-sans-egyptian-hieroglyphs")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansEgyptianHieroglyphs-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "18z4xnxczcq1iwk9m4k6wb9x00mlqqsahncji7xi3axidlr0q49b"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0032-gnu-Add-font-google-noto-sans-ethiopic.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 5c8bda9157d935d73cc2d6adab9a32028d1e4031 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 19:49:04 +0000
Subject: [PATCH 32/86] gnu: Add font-google-noto-sans-ethiopic.

* gnu/packages/fonts.scm (font-google-noto-sans-ethiopic): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index b91bb8977..9909c5e1e 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1287,6 +1287,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-ethiopic
+  (package
+    (name "font-google-noto-sans-ethiopic")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansEthiopic-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1wlacaa94428agafydirdrnw0197b2qvlq0mn5hsjh44dk2wwmcw"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0033-gnu-Add-font-google-noto-sans-georgian.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 8831b10dd91d774fc2dab56998b98b5ac31bdcf3 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 19:51:23 +0000
Subject: [PATCH 33/86] gnu: Add font-google-noto-sans-georgian.

* gnu/packages/fonts.scm (font-google-noto-sans-georgian): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 9909c5e1e..d81ceebed 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1308,6 +1308,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-georgian
+  (package
+    (name "font-google-noto-sans-georgian")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansGeorgian-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "0wx6xa3mw4092zl1c2994v4cn109ig9hfxf2p72illyga705bbbn"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0034-gnu-Add-font-google-noto-sans-glagolitic.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 7a0b7b87e1b9c7235fcd929747e22b5755e6471e Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 19:53:17 +0000
Subject: [PATCH 34/86] gnu: Add font-google-noto-sans-glagolitic.

* gnu/packages/fonts.scm (font-google-noto-sans-glagolitic): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index d81ceebed..095d608b0 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1329,6 +1329,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-glagolitic
+  (package
+    (name "font-google-noto-sans-glagolitic")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansGlagolitic-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1hr2wrikq95vd58gnzf3ckx3f3vr8l28lk25v15nh2vgnc19ggz6"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0035-gnu-Add-font-google-noto-sans-gothic.patch"
Content-Transfer-Encoding: quoted-printable

=46rom d932c84ae7160ba544962d53bc6845ff92bfa72c Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 19:54:49 +0000
Subject: [PATCH 35/86] gnu: Add font-google-noto-sans-gothic.

* gnu/packages/fonts.scm (font-google-noto-sans-gothic): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 095d608b0..3d284bda7 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1350,6 +1350,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-gothic
+  (package
+    (name "font-google-noto-sans-gothic")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansGothic-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1nzganb9jvrhiigk91yx145wyqh3wzdm4bh90nzjjss7j492a93h"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0036-gnu-Add-font-google-noto-sans-gujarati.patch"
Content-Transfer-Encoding: quoted-printable

=46rom b196677c28015b09ad5ce14b8f47239000ce63c5 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 19:57:18 +0000
Subject: [PATCH 36/86] gnu: Add font-google-noto-sans-gujarati.

* gnu/packages/fonts.scm (font-google-noto-sans-gujarati): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 3d284bda7..8168808e2 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1371,6 +1371,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-gujarati
+  (package
+    (name "font-google-noto-sans-gujarati")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansGujarati-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "090485jkz9iznv30h23fqqq11c8fx40zb6y7zgdc2995wabfr40w"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0037-gnu-Add-font-google-noto-sans-gurmukhi.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 73670ab5ec585f857c3b0447c8a7c83a83321bfa Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 19:58:46 +0000
Subject: [PATCH 37/86] gnu: Add font-google-noto-sans-gurmukhi.

* gnu/packages/fonts.scm (font-google-noto-sans-gurmukhi): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 8168808e2..68bc3d9b6 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1392,6 +1392,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-gurmukhi
+  (package
+    (name "font-google-noto-sans-gurmukhi")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansGurmukhi-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "04g1jvagziwdyj1aldrqzfbdx3aqv3499fvhf20dd2qxr5i605ya"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0038-gnu-Add-font-google-noto-sans-hanunoo.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 4833a4dbda4b94caecea00ebedd1eddf89560350 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 20:00:38 +0000
Subject: [PATCH 38/86] gnu: Add font-google-noto-sans-hanunoo.

* gnu/packages/fonts.scm (font-google-noto-sans-hanunoo): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 68bc3d9b6..099dc1c00 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1413,6 +1413,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-hanunoo
+  (package
+    (name "font-google-noto-sans-hanunoo")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansHanunoo-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "082rns2aphy0xwhsd861s10awmxvjqxjp2dhfv9s57dsn639dxf5"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0039-gnu-Add-font-google-noto-sans-hebrew.patch"
Content-Transfer-Encoding: quoted-printable

=46rom bc14e09721aeee4d0ad973969da978690d912dbc Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 20:01:55 +0000
Subject: [PATCH 39/86] gnu: Add font-google-noto-sans-hebrew.

* gnu/packages/fonts.scm (font-google-noto-sans-hebrew): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 099dc1c00..66cc9042e 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1434,6 +1434,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-hebrew
+  (package
+    (name "font-google-noto-sans-hebrew")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansHebrew-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "0h8ql5izkr4vsk6qqr3q1vakw0jfcczb1n0y8fqhrn4hnw73gynx"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0040-gnu-Add-font-google-noto-sans-imperial-aramaic.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 0e23261f275eba06ab82bba42a1460e3281535f6 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 20:03:32 +0000
Subject: [PATCH 40/86] gnu: Add font-google-noto-sans-imperial-aramaic.

* gnu/packages/fonts.scm (font-google-noto-sans-imperial-aramaic): New vari=
able.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 66cc9042e..f276b1d2f 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1455,6 +1455,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-imperial-aramaic
+  (package
+    (name "font-google-noto-sans-imperial-aramaic")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansImperialAramaic-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1ab54vwg7rbs51c7vmsjnbq7w68jd0dmfj7a874va239k06iy3hn"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0041-gnu-Add-font-google-noto-sans-inscriptional-pahlavi.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 6e913613b6fdccb65ab083497c83f76c9be3ede1 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 20:05:08 +0000
Subject: [PATCH 41/86] gnu: Add font-google-noto-sans-inscriptional-pahlavi.

* gnu/packages/fonts.scm (font-google-noto-sans-inscriptional-pahlavi): New=
 variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index f276b1d2f..4a16bac38 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1476,6 +1476,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-inscriptional-pahlavi
+  (package
+    (name "font-google-noto-sans-inscriptional-pahlavi")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansInscriptionalPahlavi-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "0264jyk09iba3zvgxqhiv9vlal78ffbc9wifvcssq571hnqpp47g"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0042-gnu-Add-font-google-noto-sans-inscriptional-parthian.patch"
Content-Transfer-Encoding: quoted-printable

=46rom a0f616a0388a2af62b0a46d92175f8f53ba56ce1 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 20:06:36 +0000
Subject: [PATCH 42/86] gnu: Add font-google-noto-sans-inscriptional-parthia=
n.

* gnu/packages/fonts.scm (font-google-noto-sans-inscriptional-parthian): Ne=
w variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 4a16bac38..b832381d0 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1497,6 +1497,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-inscriptional-parthian
+  (package
+    (name "font-google-noto-sans-inscriptional-parthian")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansInscriptionalParthian-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1kagv06hi922m4811k4knyarlxgps25zfm6iz1f9a8cl191jjnn4"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0043-gnu-Add-font-google-noto-sans-javanese.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 43b4e1613fc49ba2c80a3a03b26ef076f625b8dd Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 20:13:57 +0000
Subject: [PATCH 43/86] gnu: Add font-google-noto-sans-javanese.

* gnu/packages/fonts.scm (font-google-noto-sans-javanese): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index b832381d0..5592dbb98 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1518,6 +1518,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-javanese
+  (package
+    (name "font-google-noto-sans-javanese")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansJavanese-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "0y24bjifj63plcfxfakbwf38914myi0bqjqs8jlnzdfxn0a7y0lp"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0044-gnu-Add-font-google-noto-sans-kaithi.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 086fabff93124f517b1565c400dd392735bdc468 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 20:15:39 +0000
Subject: [PATCH 44/86] gnu: Add font-google-noto-sans-kaithi.

* gnu/packages/fonts.scm (font-google-noto-sans-kaithi): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 5592dbb98..065b4ed80 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1539,6 +1539,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-kaithi
+  (package
+    (name "font-google-noto-sans-kaithi")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansKaithi-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1bzypzr9fy07gg74j35264x1mlm7bp8bybjdzfmyxhrp6k1vw719"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0045-gnu-Add-font-google-noto-sans-kannada.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 1ffd46f95a6cf167f66b0fda3a9ec18eb0b84ad7 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 20:17:55 +0000
Subject: [PATCH 45/86] gnu: Add font-google-noto-sans-kannada.

* gnu/packages/fonts.scm (font-google-noto-sans-kannada): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 065b4ed80..8c2eab299 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1560,6 +1560,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-kannada
+  (package
+    (name "font-google-noto-sans-kannada")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansKannada-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1n6xmzjl8jah0rfizyphkmx889pgfc1jak7y7gk3570b8vm6icam"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0046-gnu-Add-font-google-noto-sans-kayah-li.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 62095119e0b4ecd8d0da023acf8477e17f0b0f8c Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 20:21:06 +0000
Subject: [PATCH 46/86] gnu: Add font-google-noto-sans-kayah-li.

* gnu/packages/fonts.scm (font-google-noto-sans-kayah-li): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 8c2eab299..0dd4425d4 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1581,6 +1581,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-kayah-li
+  (package
+    (name "font-google-noto-sans-kayah-li")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansKayahLi-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "13l9wmhsrkzgjp0lgp1jcnkwxmmszni4lf3kgxmif33sc059a3cc"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0047-gnu-Add-font-google-noto-sans-kharoshthi.patch"
Content-Transfer-Encoding: quoted-printable

=46rom ccf060029c065b60d5c2968e6ef7206079ca854a Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 20:35:39 +0000
Subject: [PATCH 47/86] gnu: Add font-google-noto-sans-kharoshthi.

* gnU/packages/fonts.scm (font-google-noto-sans-kharoshthi): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 0dd4425d4..0591c8d21 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1602,6 +1602,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-kharoshthi
+  (package
+    (name "font-google-noto-sans-kharoshthi")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansKharoshthi-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "0r3pc34014dc9rh4647x1mmfpcxfj0h16fiqy1ps1768xpwabfx4"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0048-gnu-Add-font-google-noto-sans-khmer.patch"
Content-Transfer-Encoding: quoted-printable

=46rom d32ed8bc76e4f38ecd874c59146b93d2b7a68886 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 20:36:54 +0000
Subject: [PATCH 48/86] gnu: Add font-google-noto-sans-khmer.

* gnu/packages/fonts.scm (font-google-noto-sans-khmer): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 0591c8d21..f8cffd9f2 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1623,6 +1623,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-khmer
+  (package
+    (name "font-google-noto-sans-khmer")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansKhmer-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1mz6ill13xdd4cqn9rz0r084wfy55b3k5mfalz1c39iibpd0pmbj"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0049-gnu-Add-font-google-noto-sans-lao.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 34fd9a50b016db863787cff896becfce42e3f099 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 20:46:32 +0000
Subject: [PATCH 49/86] gnu: Add font-google-noto-sans-lao.

* gnu/packages/fonts.scm (font-google-noto-sans-lao): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index f8cffd9f2..3ca4083c9 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1644,6 +1644,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-lao
+  (package
+    (name "font-google-noto-sans-lao")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansLao-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "0cfhz21zasyi1z6n6mf7dr1f1xz5ljikhwabai9ch13dckf3w5s1"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0050-gnu-Add-font-google-noto-sans-lepcha.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 5ca79a6a04d593055b97c4d32a0b87cde40c4acf Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sat, 9 Sep 2017 20:51:17 +0000
Subject: [PATCH 50/86] gnu: Add font-google-noto-sans-lepcha.

* gnu/packages/fonts.scm (font-google-noto-sans-lepcha): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 3ca4083c9..ea8bf414c 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1665,6 +1665,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-lepcha
+  (package
+    (name "font-google-noto-sans-lepcha")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansLepcha-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1bjmc7s3kr4k7m0cbpyf4gja72cbja8bbr4h9jr1q4jxsgqfca8j"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0051-gnu-Add-font-google-noto-sans-limbu.patch"
Content-Transfer-Encoding: quoted-printable

=46rom ef6a27cc017c311c45e3d688551d19e3cb164973 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 07:17:00 +0000
Subject: [PATCH 51/86] gnu: Add font-google-noto-sans-limbu.

* gnu/packages/fonts.scm (font-google-noto-sans-limbu): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index ea8bf414c..8bd8b83a1 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1686,6 +1686,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-limbu
+  (package
+    (name "font-google-noto-sans-limbu")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansLimbu-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "0fbhvf7qh13517368fcri9bgg83hv8jhc4sddqis4f2dynmakr43"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0052-gnu-Add-font-google-noto-sans-linear-b.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 00025a80dfa6343cbc7bd95cc9589d3caeae038c Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 07:18:36 +0000
Subject: [PATCH 52/86] gnu: Add font-google-noto-sans-linear-b.

* gnu/packages/fonts.scm (font-google-noto-sans-limbu): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 8bd8b83a1..d9c8cec31 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1707,6 +1707,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-linear-b
+  (package
+    (name "font-google-noto-sans-linear-b")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansLinearB-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1k4zqqw8ckqsims59ws8zvfnp9iydr912drqcfghqcp91di6ja6s"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0053-gnu-Add-font-google-noto-sans-lisu.patch"
Content-Transfer-Encoding: quoted-printable

=46rom bed023794ed5681f80952dd58812b7b3c88407b6 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 07:20:05 +0000
Subject: [PATCH 53/86] gnu: Add font-google-noto-sans-lisu.

* gnu/packages/fonts.scm (font-google-noto-sans-lisu): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index d9c8cec31..9afbf334c 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1728,6 +1728,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-lisu
+  (package
+    (name "font-google-noto-sans-lisu")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansLisu-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1532nyhxzkzn97whvg7ykgiv65v9j080i77bx135y0vbi81aipb9"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0054-gnu-Add-font-google-noto-sans-lycian.patch"
Content-Transfer-Encoding: quoted-printable

=46rom aed8be29f731818bd848b9b7b029bbff2f8fa192 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 07:22:39 +0000
Subject: [PATCH 54/86] gnu: Add font-google-noto-sans-lycian.

* gnu/packages/fonts.scm (font-google-noto-sans-lycian): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 9afbf334c..76422cf28 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1749,6 +1749,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-lycian
+  (package
+    (name "font-google-noto-sans-lycian")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansLycian-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "0ybpw7khiwg7p7c97wm4lj2nw7r64pdsz36r6czalrfi3d07lm29"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0055-gnu-Add-font-google-noto-sans-malayalam.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 336a55eeae0cae815ca3f323f45566374369ef06 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 07:24:32 +0000
Subject: [PATCH 55/86] gnu: Add font-google-noto-sans-malayalam.

* gnu/packages/fonts.scm (font-google-noto-sans-malayalam): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 76422cf28..2c940a4cd 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1770,6 +1770,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-malayalam
+  (package
+    (name "font-google-noto-sans-malayalam")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansMalayalam-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1ywfdasz00mv50m6smv1dry238rsxs9frjk0660ankirp2w39v10"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0056-gnu-Add-font-google-noto-sans-meetei-mayek.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 428015976f264112fea10227e0c0dcc9683ee8c4 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 07:26:33 +0000
Subject: [PATCH 56/86] gnu: Add font-google-noto-sans-meetei-mayek.

* gnu/packages/fonts.scm (font-google-noto-sans-meetei-mayek): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 2c940a4cd..0e8d1b2e4 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1791,6 +1791,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-meetei-mayek
+  (package
+    (name "font-google-noto-sans-meetei-mayek")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansMeeteiMayek-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "0c4h9xydsmr8y3l1sqgx1fp7w1s10hpm5y5s5ay5sx2k01y32gds"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0057-gnu-Add-font-google-noto-sans-myanmar.patch"
Content-Transfer-Encoding: quoted-printable

=46rom ffe6dc7939be2c5a05f2974547c859f0b2af7fe4 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 07:28:40 +0000
Subject: [PATCH 57/86] gnu: Add font-google-noto-sans-myanmar.

* gnu/packages/fonts.scm (font-google-noto-sans-myanmar): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 0e8d1b2e4..0176868a9 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1812,6 +1812,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-myanmar
+  (package
+    (name "font-google-noto-sans-myanmar")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansMyanmar-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "09yyrw3ma7dm1njyi6hn39fjpsjy6vk99jrzrvqplgzvblcfwmm6"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0058-gnu-Add-font-google-noto-sans-n-ko.patch"
Content-Transfer-Encoding: quoted-printable

=46rom ed95f78947fccc804a91285dd49854757844ab4b Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 07:30:46 +0000
Subject: [PATCH 58/86] gnu: Add font-google-noto-sans-n-ko.

* gnu/packages/fonts.scm (font-google-noto-sans-n-ko): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 0176868a9..0a7c7e104 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1833,6 +1833,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-n-ko
+  (package
+    (name "font-google-noto-sans-n-ko")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansNKo-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1xkfbjlvlfsgy8jamv986ncrrsvyrm82iqxf1qj34c3q5i01rjfs"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0059-gnu-Add-font-google-noto-sans-ogham.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 8dbb96067951aa8de669b078740408a01dfec489 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 07:32:12 +0000
Subject: [PATCH 59/86] gnu: Add font-google-noto-sans-ogham.

* gnu/packages/fonts.scm (font-google-noto-sans-ogham): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 0a7c7e104..c5e185971 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1854,6 +1854,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-ogham
+  (package
+    (name "font-google-noto-sans-ogham")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansOgham-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "159clwnmxws7l3gma90gd8cv24728120r8c7g46wqm23kf7l2lzx"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0060-gnu-Add-font-google-noto-sans-ol-chiki.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 655eb171bd4e673125159e811861e2dce4e1fa73 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 07:33:46 +0000
Subject: [PATCH 60/86] gnu: Add font-google-noto-sans-ol-chiki.

* gnu/packages/fonts.scm (font-google-noto-sans-ol-chiki): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index c5e185971..e5363df44 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1875,6 +1875,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-ol-chiki
+  (package
+    (name "font-google-noto-sans-ol-chiki")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansOlChiki-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "10k0bdaw2bw7g3vq5s53cqzrgli2791p6vj002fx1im3z7ikypf0"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0061-gnu-Add-font-google-noto-sans-old-italic.patch"
Content-Transfer-Encoding: quoted-printable

=46rom e755716a743fde85c6d430916ec156f9300ed88f Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 07:35:41 +0000
Subject: [PATCH 61/86] gnu: Add font-google-noto-sans-old-italic.

* gnu/packages/fonts.scm (font-google-noto-sans-old-italic): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index e5363df44..28e518aa4 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1896,6 +1896,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-old-italic
+  (package
+    (name "font-google-noto-sans-old-italic")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansOldItalic-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1pck8fsrvb3filrcq2gyzkd6mb12g0sna62mzq35g9ralcckvm55"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0062-gnu-Add-font-google-noto-sans-old-turkic.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 4fa219241564a7f8d84c785ae381baf32a0be1b1 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 07:37:33 +0000
Subject: [PATCH 62/86] gnu: Add font-google-noto-sans-old-turkic.

* gnu/packages/fonts.scm (font-google-noto-sans-old-turkic): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 28e518aa4..16b139bca 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1917,6 +1917,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-old-turkic
+  (package
+    (name "font-google-noto-sans-old-turkic")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansOldTurkic-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "07rjnip0p2yxgv05vaavqp99nmgljvcv9b0901lmqf1fw2wcv6nk"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0063-gnu-Add-font-google-noto-sans-oriya.patch"
Content-Transfer-Encoding: quoted-printable

=46rom c3154082fa0cf754affd989081e0b0833fb557c7 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 07:39:40 +0000
Subject: [PATCH 63/86] gnu: Add font-google-noto-sans-oriya.

* gnu/packages/fonts.scm (font-google-noto-sans-oriya): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 16b139bca..15a2dd02e 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1938,6 +1938,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-oriya
+  (package
+    (name "font-google-noto-sans-oriya")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansOriya-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1i5bwf0j18k2hl8g56rzl1jr1dy9s8xsbriawfxczvqz6rjwqy3g"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0064-gnu-Add-font-google-noto-sans-osmanya.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 3dc2930fb39bbd856c293cf16382843ada07d2a8 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 07:41:39 +0000
Subject: [PATCH 64/86] gnu: Add font-google-noto-sans-osmanya.

* gnu/packages/fonts.scm (font-google-noto-sans-osmanya): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 15a2dd02e..4154b7072 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1959,6 +1959,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-osmanya
+  (package
+    (name "font-google-noto-sans-osmanya")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansOsmanya-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "0ql4xhyfcfximb9lm9y0xcdacidc4v9d66lphnxjg0yq2shrbdk4"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0065-gnu-Add-font-google-noto-sans-rejang.patch"
Content-Transfer-Encoding: quoted-printable

=46rom e357b7f6be6a96f30342546c28ec4f67a2ba53ef Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 07:42:52 +0000
Subject: [PATCH 65/86] gnu: Add font-google-noto-sans-rejang.

* gnu/packages/fonts.scm (font-google-noto-sans-rejang): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 4154b7072..067699991 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1980,6 +1980,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-rejang
+  (package
+    (name "font-google-noto-sans-rejang")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansRejang-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "0h4fsfw2k1g6h4887khf9vn7ch3dpncsbkada9zw86vnp0al29f9"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0066-gnu-Add-font-google-noto-sans-runic.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 29751c3a35c6e736997ec42991affe599c974531 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 07:44:41 +0000
Subject: [PATCH 66/86] gnu: Add font-google-noto-sans-runic.

* gnu/packages/fonts.scm (font-google-noto-sans-runic): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 067699991..ff8248288 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -2001,6 +2001,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-runic
+  (package
+    (name "font-google-noto-sans-runic")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansRunic-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "0drdppxxmncnaxh0y46kqvr6zpc7mqb6kr7azj286cabih7yv06p"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0067-gnu-Add-font-google-noto-sans-samaritan.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 4831ba28f0d2c0b9e7abb079b940121530a96d18 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 07:46:07 +0000
Subject: [PATCH 67/86] gnu: Add font-google-noto-sans-samaritan.

* gnu/packages/fonts.scm (font-google-noto-sans-samaritan): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index ff8248288..e949ff419 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -2022,6 +2022,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-samaritan
+  (package
+    (name "font-google-noto-sans-samaritan")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansSamaritan-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "0psi0c1vqgwjwfak2ldfcfbdiskmcfpcza95v8xi8mxnv61cbkl0"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0068-gnu-Add-font-google-noto-sans-shavian.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 455f01c3736106c77af4b3738528f95b4fee6f4c Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 07:47:36 +0000
Subject: [PATCH 68/86] gnu: Add font-google-noto-sans-shavian.

* gnu/packages/fonts.scm (font-google-noto-sans-shavian): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index e949ff419..8d3a6626e 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -2043,6 +2043,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-shavian
+  (package
+    (name "font-google-noto-sans-shavian")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansShavian-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "0iwzyjl5ysimvjk4hbcb3kkc9ccjybfvr6l2s5yivvfglm2p1pbf"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0069-gnu-Add-font-google-noto-sans-sundanese.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 9397fd28514cc1fd4b09ba6f965cd842a3269009 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 07:49:53 +0000
Subject: [PATCH 69/86] gnu: Add font-google-noto-sans-sundanese.

* gnu/packages/fonts.scm (font-google-noto-sans-sundanese): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 8d3a6626e..5f82df7bc 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -2064,6 +2064,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-sundanese
+  (package
+    (name "font-google-noto-sans-sundanese")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansSundanese-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "0vr1a81cd19xz5afmy55f1f6hk2ngj40r3034q160gq0avxw4jh6"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0070-gnu-Add-font-google-noto-sans-syloti-nagri.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 6832c1a9e5a7585cd0122527bce3e25631ec6b13 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 07:51:24 +0000
Subject: [PATCH 70/86] gnu: Add font-google-noto-sans-syloti-nagri.

* gnu/packages/fonts.scm (font-google-noto-sans-syloti-nagri): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 5f82df7bc..1d8d19e1b 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -2085,6 +2085,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-syloti-nagri
+  (package
+    (name "font-google-noto-sans-syloti-nagri")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansSylotiNagri-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "0f9076s7hqqhwn67pbwzfwlqwds7sd8d21wgppz7gxgz47pmy8a2"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0071-gnu-Add-font-google-noto-sans-symbols.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 3631f4ddbc39b6f4e981b5e5e7a3e598e43c20f9 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 07:53:09 +0000
Subject: [PATCH 71/86] gnu: Add font-google-noto-sans-symbols.

* gnu/packages/fonts.scm (font-google-noto-sans-symbols): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 1d8d19e1b..c08d50765 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -2106,6 +2106,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-symbols
+  (package
+    (name "font-google-noto-sans-symbols")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansSymbols-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "0iyb267jnl7diawszaihk6iqgcls3pjkrgkg36ixf622m8sainan"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0072-gnu-Add-font-google-noto-sans-syriac-eastern.patch"
Content-Transfer-Encoding: quoted-printable

=46rom b7d49da103598f1b2434fb19d469534ab3dad051 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 07:55:34 +0000
Subject: [PATCH 72/86] gnu: Add font-google-noto-sans-syriac-eastern.

* gnu/packages/fonts.scm (font-google-noto-sans-syriac-eastern): New variab=
le.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index c08d50765..c9ef6da99 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -2127,6 +2127,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-syriac-eastern
+  (package
+    (name "font-google-noto-sans-syriac-eastern")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansSyriacEastern-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "13pc9171h7hb27ww44sakz0iffa1rsw2haclqdpmki5sbpw77l96"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0073-gnu-Add-font-google-noto-sans-syriac-estrangela.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 2fb05dfbd6f242f3b7e82996ec928724073cfd2e Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 07:57:01 +0000
Subject: [PATCH 73/86] gnu: Add font-google-noto-sans-syriac-estrangela.

* gnu/packages/fonts.scm (font-google-noto-sans-syriac-estrangela): New var=
iable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index c9ef6da99..2263725f0 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -2148,6 +2148,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-syriac-estrangela
+  (package
+    (name "font-google-noto-sans-syriac-estrangela")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansSyriacEstrangela-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1jxx0jkbwzvccskkhs26clhbbqzyl4jnv8i6h7hqb880kgqllxnw"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0074-gnu-Add-font-google-noto-sans-syriac-western.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 8658770263ff874176437d363567586b7ac39b85 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 07:58:41 +0000
Subject: [PATCH 74/86] gnu: Add font-google-noto-sans-syriac-western.

* gnu/packages/fonts.scm (font-google-noto-sans-syriac-western): New variab=
le.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 2263725f0..40aeb4a7e 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -2169,6 +2169,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-syriac-western
+  (package
+    (name "font-google-noto-sans-syriac-western")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansSyriacWestern-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "132sd7ijb4nr3wyaq1b3q8dq1ipmm4jh75i2jdqckmgm18nq4r59"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0075-gnu-Add-font-google-noto-sans-tai-tham.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 043681de9df76aa964a7cf94bb8528bff5282c2c Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 08:01:35 +0000
Subject: [PATCH 75/86] gnu: Add font-google-noto-sans-tai-tham.

* gnu/packages/fonts.scm (font-google-noto-sans-tai-tham): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 40aeb4a7e..e66e7af3e 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -2190,6 +2190,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-tai-tham
+  (package
+    (name "font-google-noto-sans-tai-tham")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansTaiTham-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1pmhznjqjy8kk2minmdismp7m5j4vn86g6k304pkh8vsgz4672zr"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0076-gnu-Add-font-google-noto-sans-thaana.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 6e3b47c7d4d5276ce6726bacee1efa78e2514502 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 08:03:51 +0000
Subject: [PATCH 76/86] gnu: Add font-google-noto-sans-thaana.

* gnu/packages/fonts.scm (font-google-noto-sans-thaana): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index e66e7af3e..99e331bff 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -2211,6 +2211,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-thaana
+  (package
+    (name "font-google-noto-sans-thaana")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansThaana-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1fdpjj060y4cl1hz2pbydn9pv69ih0dp8g6255fiixxgdabag75d"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0077-gnu-Add-font-google-noto-sans-ugaritic.patch"
Content-Transfer-Encoding: quoted-printable

=46rom ddc67f5eee857a18f7b0ae20f651f11dc084093c Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 08:06:01 +0000
Subject: [PATCH 77/86] gnu: Add font-google-noto-sans-ugaritic.

* gnu/packages/fonts.scm (font-google-noto-sans-ugaritic): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 99e331bff..bd43e132e 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -2232,6 +2232,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-sans-ugaritic
+  (package
+    (name "font-google-noto-sans-ugaritic")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSansUgaritic-unhinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "0c1q1kzpzsc01d0fjap8ywzxi7mypi14vfdfci4lbv9hi9jjyylb"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0078-gnu-Add-font-google-noto-serif-bengali.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 94af7df4c0d145cc80ce8edd0db09644b88c4b0c Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 08:08:23 +0000
Subject: [PATCH 78/86] gnu: Add font-google-noto-serif-bengali.

* gnu/packages/fonts.scm (font-google-noto-serif-bengali): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index bd43e132e..9865422c2 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -2253,6 +2253,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-serif-bengali
+  (package
+    (name "font-google-noto-serif-bengali")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSerifBengali-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "0nkmwr77wcc1z22fzznkkf5mm2gh1gyqw0z2jmnwnwgm9n22bjgr"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0079-gnu-Add-font-google-noto-serif-cjk-tc.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 1ae0616e7f89fb7c4891c1d166163a2bba32800a Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 08:10:08 +0000
Subject: [PATCH 79/86] gnu: Add font-google-noto-serif-cjk-tc.

* gnu/packages/fonts.scm (font-google-noto-serif-cjk-tc): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 9865422c2..8c1773a76 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -2274,6 +2274,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-serif-cjk-tc
+  (package
+    (name "font-google-noto-serif-cjk-tc")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSerifCJKtc-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "02r77wjp1dk6vb4zb05xi0z7v9b9ra086idj1p7zdi7wlzadrfaz"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0080-gnu-Add-font-google-noto-serif-devanagari.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 4a11543160762777ea769485b06bb3133de6ec64 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 08:11:46 +0000
Subject: [PATCH 80/86] gnu: Add font-google-noto-serif-devanagari.

* gnu/packages/fonts.scm (font-google-noto-serif-devanagari): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 8c1773a76..f5874d8c5 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -2295,6 +2295,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-serif-devanagari
+  (package
+    (name "font-google-noto-serif-devanagari")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSerifDevanagari-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1c9mpp27f5kmflqcrv0rjaq3fc0cnsa8zf3wxg25cdmhmgywzk89"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0081-gnu-Add-font-google-noto-serif-georgian.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 4aec3f666e7f69bfcfde375f24d4f3c39d8c6694 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 08:13:26 +0000
Subject: [PATCH 81/86] gnu: Add font-google-noto-serif-georgian.

* gnu/packages/fonts.scm (font-google-noto-serif-georgian): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index f5874d8c5..e4199c568 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -2316,6 +2316,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-serif-georgian
+  (package
+    (name "font-google-noto-serif-georgian")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSerifGeorgian-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "0zp216d28vrxgmcf3p0l806gqq4x5dqmj1zni0jb4rar63ckf3iv"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0082-gnu-Add-font-google-noto-serif-gujarati.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 602bf46f1dd12a9f6d257fe2103642ffa8849e70 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 08:15:06 +0000
Subject: [PATCH 82/86] gnu: Add font-google-noto-serif-gujarati.

* gnu/packages/fonts.scm (font-google-noto-serif-gujarati): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index e4199c568..caee0e5f1 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -2337,6 +2337,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-serif-gujarati
+  (package
+    (name "font-google-noto-serif-gujarati")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSerifGujarati-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "176nhv6bjsy597g3jdqb8naakdbz7gcsy0npahqvqxnn851awy1y"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0083-gnu-Add-font-google-noto-serif-lao.patch"
Content-Transfer-Encoding: quoted-printable

=46rom f9cb6892f2bc2858934d47a440809d3ee3356c2f Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 08:16:31 +0000
Subject: [PATCH 83/86] gnu: Add font-google-noto-serif-lao.

* gnu/packages/fonts.scm (font-google-noto-serif-lao): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index caee0e5f1..370fee305 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -2358,6 +2358,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-serif-lao
+  (package
+    (name "font-google-noto-serif-lao")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSerifLao-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1pv27267yn54254bgwa8f2vvycjvj43yk3rfwas1cdbdlldh6fka"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0084-gnu-Add-font-google-noto-serif-tamil.patch"
Content-Transfer-Encoding: quoted-printable

=46rom e150480bca407eef18816ddb5989912d6a808885 Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 08:18:25 +0000
Subject: [PATCH 84/86] gnu: Add font-google-noto-serif-tamil.

* gnu/packages/fonts.scm (font-google-noto-serif-tamil): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 370fee305..bd1531aad 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -2379,6 +2379,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-serif-tamil
+  (package
+    (name "font-google-noto-serif-tamil")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSerifTamil-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "131i45d0d6lfkyz7cqk7jd618hkn3laqri6cf3zmniqrwrkv7g20"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0085-gnu-Add-font-google-noto-serif-telugu.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 170f5164d349007608ffb643d2cbbe0d993821ab Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 08:19:58 +0000
Subject: [PATCH 85/86] gnu: Add font-google-noto-serif-telugu.

* gnu/packages/fonts.scm (font-google-noto-serif-telugu): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index bd1531aad..61e1c2cd4 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -2400,6 +2400,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-serif-telugu
+  (package
+    (name "font-google-noto-serif-telugu")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSerifTelugu-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "0cylddx4kgcy2xz910yfcxjcgy9rx0smizvc4gmnyx857j520pv9"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename="0086-gnu-Add-font-google-noto-serif-thai.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 0a1ace00f3e414bf399bd680bc3e6839b67ed7db Mon Sep 17 00:00:00 2001
=46rom: ng0 <ng0@HIDDEN>
Date: Sun, 10 Sep 2017 08:21:15 +0000
Subject: [PATCH 86/86] gnu: Add font-google-noto-serif-thai.

* gnu/packages/fonts.scm (font-google-noto-serif-thai): New variable.
---
 gnu/packages/fonts.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 61e1c2cd4..91e8d2280 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -2421,6 +2421,27 @@ all languages with a consistent look and aesthetic. =
 Its goal is to properly
 display all Unicode symbols.")
     (license license:silofl1.1)))
=20
+(define-public font-google-noto-serif-thai
+  (package
+    (name "font-google-noto-serif-thai")
+    (version "20170403")
+    (source
+     (origin
+       (method url-fetch/zipbomb)
+       (uri (string-append "https://noto-website.storage.googleapis.com/pk=
gs/"
+                           "NotoSerifThai-hinted.zip"))
+       (file-name (string-append name "-" version ".zip"))
+       (sha256
+        (base32
+         "1r2f89m9rdxmdq8919cg84l9xyfji2klhzgxz8m3w7s5zdk739nk"))))
+    (build-system font-build-system)
+    (home-page "https://www.google.com/get/noto/")
+    (synopsis "Fonts to cover all languages")
+    (description "Google Noto Fonts is a family of fonts designed to suppo=
rt
+all languages with a consistent look and aesthetic.  Its goal is to proper=
ly
+display all Unicode symbols.")
+    (license license:silofl1.1)))
+
 (define-public font-google-roboto
   (package
     (name "font-google-roboto")
--=20
2.14.1


--z5bt75vmliven2s4--

--73godmxftbocdkl2
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEqIyK3RKYKNfqwC5S4i+bv+40hYgFAlm1AJAACgkQ4i+bv+40
hYiO/A//d0mQBprzLIoOjBltcK6mFTzu26bfeI4C4G8cMLHhJd2LZKYluiKcsAj/
zbUuB7iqh0fKpsy6AO5znUW94kRzcdLFoFCHA7ZbADRr/yPMALHUQa0fw81V11lC
86mCgPgPXWcyf7o0TmG8aYgQyxScENYYgNRjeeppi0krtRUsFp1d48iPfdpOqwAJ
DJv3913wK+U/eIyBKPGEw3AdL3BflJkvhNhXE2l55E7JEbgz1V6NQ4mxsjvDPAol
1p8DMkLyd6PlTtJi8s3E70kCAXIVAsN40i4/K5vPW9WmFtc3dL/cVbciUD4ItbR5
SZ8mgFAbb79zJhcOK0xqQYZ7WB0wEVc1a109cOGqwlLK7km/tg5ZmtQWeS3teHjz
7Jv0lbj/ZmjOI/dUlKCmrUkXVpR9NncgxCM9RL2mdDJP785eaYjUhtpeV/EvKLto
cr+8tH2smftGtiNaLEavcfnKogcl4eb2XxH73zujgYckEUyRPZtHrtmszv20l1sQ
LHYd22pDRmTvVndoOCz//7X2HU6b2kwmMRyKlJAl+wygJqkqx+iQr+sXUibGhHAj
04zUTmkgCcNq3hWBcCKWMN4qyuZQmBPzioifg99Q8mnRUkS+psHIborvI6P3KhRY
EDEVYbaynwI2VSdQAu01oEZ4LfP34/GMLb0qu6JvXdNS2LGulaU=
=GSWz
-----END PGP SIGNATURE-----

--73godmxftbocdkl2--




Acknowledgement sent to ng0 <ng0@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#28404; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 19 Mar 2018 08:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.